control_vty.c File Reference
`#include <stdlib.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/ctrl/control_vty.h>`
`#include <osmocom/vty/command.h>`

## Functions

| DEFUN (cfg_ctrl_bind_addr, cfg_ctrl_bind_addr_cmd, "bind A.B.C.D", "Set bind address to listen for Control connections\n" "Local IP address (default 127.0.0.1)\n")
const char * | ctrl_vty_get_bind_addr (void)
| DEFUN (cfg_ctrl, cfg_ctrl_cmd, "ctrl", "Configure the Control Interface")
static int | config_write_ctrl (struct vty *vty)
int | ctrl_vty_init (void *ctx)

## Variables

static void * | ctrl_vty_ctx = NULL
static const char * | ctrl_vty_bind_addr = NULL
static struct cmd_node | ctrl_node

## Detailed Description

VTY configuration for Control interface.

## Function Documentation

## config_write_ctrl()

static int config_write_ctrl | ( | struct vty * | vty | ) |

static

References ctrl_vty_bind_addr.

Referenced by ctrl_vty_init().

## ctrl_vty_get_bind_addr()

const char* ctrl_vty_get_bind_addr | ( | void |  | ) |

References ctrl_vty_bind_addr.

## ctrl_vty_init()

int ctrl_vty_init | ( | void * | ctx | ) |

References config_write_ctrl(), ctrl_node, and ctrl_vty_ctx.

## DEFUN() [1/2]

DEFUN | ( | cfg_ctrl | ,
|  | cfg_ctrl_cmd | ,
|  | "ctrl" | ,
|  | "Configure the Control Interface" |
| ) |  |

## DEFUN() [2/2]

DEFUN | ( | cfg_ctrl_bind_addr | ,
|  | cfg_ctrl_bind_addr_cmd | ,
|  | "bind A.B.C.D" | ,
|  | "Set bind address to listen for Control connections\n" "Local IP address (default 127.0.0.1)\n" |
| ) |  |

References ctrl_vty_bind_addr, and ctrl_vty_ctx.

## Variable Documentation

## ctrl_node

struct cmd_node ctrl_node

static

Initial value:
= {
L_CTRL_NODE,
"%s(config-ctrl)# ",
1,
}

Referenced by ctrl_vty_init().

## ctrl_vty_bind_addr

const char* ctrl_vty_bind_addr = NULL

static

Referenced by config_write_ctrl(), ctrl_vty_get_bind_addr(), and DEFUN().

## ctrl_vty_ctx

void* ctrl_vty_ctx = NULL

static

Referenced by ctrl_vty_init(), and DEFUN().